import { BaseLayoutOuterProps, CodeParser, CodeParsingError } from '@iyio/common';
export declare const defaultCodeLineStartReg: RegExp;
export declare const markdownCodeLineStartReg: RegExp;
interface CodeInputProps<P = any> extends BaseLayoutOuterProps {
    tab?: string;
    language?: string;
    readOnly?: boolean;
    valueOverride?: string;
    value: string;
    disabled?: boolean;
    onChange?: (value: string) => void;
    /**
     * Called when Command enter or Ctrl enter is pressed
     */
    onSubmit?: (value: string) => void;
    onBlur?: (value: string) => void;
    onNewLine?: (value: string) => void;
    tall?: boolean;
    onElem?: (elem: HTMLElement | null) => void;
    onTextarea?: (elem: HTMLTextAreaElement | null) => void;
    lineStartReg?: RegExp | null;
    lineStartRegIndex?: number;
    lineNumbers?: boolean;
    errors?: (CodeParsingError | number)[];
    parser?: CodeParser<P>;
    parsingDelayMs?: number;
    logParsed?: boolean;
    debugParser?: boolean | ((...args: any[]) => void);
    bottomPadding?: number | string;
}
export declare function CodeInput<P = any>({ tab, language, value, readOnly, valueOverride, disabled, onChange, onSubmit, onElem, onTextarea, onBlur, onNewLine, tall, lineStartReg, lineStartRegIndex, lineNumbers, errors, parser, logParsed, parsingDelayMs, debugParser, bottomPadding, ...props }: CodeInputProps<P>): JSX.Element;
export {};
