import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { atDotCss } from "@iyio/at-dot-css";
import { dt } from "./lib-design-tokens";
const isLineError = (line, errors) => {
    for (let i = 0; i < errors.length; i++) {
        const e = errors[i];
        if (e && e === line || e.lineNumber === line) {
            return true;
        }
    }
    return false;
};
export function LineNumbers({ count = 1, errors, pad }) {
    const lines = [];
    for (let i = 1; i <= count; i++) {
        lines.push(_jsx("span", { className: (errors && isLineError(i, errors)) ? style.error() : undefined, children: i }, i));
    }
    return (_jsxs("div", { className: style.root(), children: [_jsx("span", { className: style.first(), children: "\u00A0\u00A0\u00A0" }), lines, pad] }));
}
const style = atDotCss({ name: 'LineNumbers', css: `
    @.root{
        display:flex;
        flex-direction:column;
        align-items:flex-end;
        font-size:${dt().codeFontSize}px !important;
        line-height:${dt().codeLineHeight}px !important;
        border-right:${dt().foreground}18 1px solid;
        padding:0 0.5rem;
        font-family:Courier !important;
    }
    @.root > *{
        opacity:0.5;
    }
    @.first{
        height:0;
        max-height:0;
    }
    @.error{
        color:${dt().dangerColor};
        opacity:1;
    }
` });
//# sourceMappingURL=LineNumbers.js.map