"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LineNumbers = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const at_dot_css_1 = require("@iyio/at-dot-css");
const lib_design_tokens_1 = require("./lib-design-tokens");
const isLineError = (line, errors) => {
    for (let i = 0; i < errors.length; i++) {
        const e = errors[i];
        if (e && e === line || e.lineNumber === line) {
            return true;
        }
    }
    return false;
};
function LineNumbers({ count = 1, errors, pad }) {
    const lines = [];
    for (let i = 1; i <= count; i++) {
        lines.push((0, jsx_runtime_1.jsx)("span", { className: (errors && isLineError(i, errors)) ? style.error() : undefined, children: i }, i));
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: style.root(), children: [(0, jsx_runtime_1.jsx)("span", { className: style.first(), children: "\u00A0\u00A0\u00A0" }), lines, pad] }));
}
exports.LineNumbers = LineNumbers;
const style = (0, at_dot_css_1.atDotCss)({ name: 'LineNumbers', css: `
    @.root{
        display:flex;
        flex-direction:column;
        align-items:flex-end;
        font-size:${(0, lib_design_tokens_1.dt)().codeFontSize}px !important;
        line-height:${(0, lib_design_tokens_1.dt)().codeLineHeight}px !important;
        border-right:${(0, lib_design_tokens_1.dt)().foreground}18 1px solid;
        padding:0 0.5rem;
        font-family:Courier !important;
    }
    @.root > *{
        opacity:0.5;
    }
    @.first{
        height:0;
        max-height:0;
    }
    @.error{
        color:${(0, lib_design_tokens_1.dt)().dangerColor};
        opacity:1;
    }
` });
//# sourceMappingURL=LineNumbers.js.map